/* VARIABLES */
/* TYPOGRAPHY */
/* Google Fonts */
/* TYPOGRAPHY */
/* Google Fonts */
@font-face {
  font-family: "NewRiyal";
  src: url("../../fonts/riyal/Claudion.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}
table {
  margin: 0 !important;
}
table thead tr th:empty {
  display: none !important;
}
table td:empty {
  display: none !important;
}

.block-content--type-key-value-table .field--name-field-table {
  display: flex;
  justify-content: center;
}
.block-content--type-key-value-table .table-responsive {
  box-shadow: 0 4px 20px 0 rgba(26, 28, 30, 0.04);
  border-radius: 1.5rem;
}
.block-content--type-key-value-table .table-responsive .tablefield {
  width: 100%;
  table-layout: fixed;
  background: #FFFFFF !important;
  border-collapse: separate;
  border-spacing: 0;
  overflow: hidden;
}
.block-content--type-key-value-table .table-responsive .tablefield caption {
  padding: 1rem;
  color: #575757;
  font-size: 0.875rem;
  font-weight: 400;
  text-align: center;
  caption-side: top;
}
.block-content--type-key-value-table .table-responsive .tablefield thead tr {
  background: #FBFAF9;
}
.block-content--type-key-value-table .table-responsive .tablefield thead th {
  height: 70px;
  padding: 0 1rem;
  font-size: 1rem;
  line-height: 1.5rem;
  text-align: center;
  vertical-align: middle;
  border-bottom: 0.5px solid #E8E2DB;
  border-right: 0.5px solid #E8E2DB;
  border-right: unset !important;
  background: #FBFAF9;
  color: #575757;
  font-weight: 400;
}
@media (max-width: 90rem) {
  .block-content--type-key-value-table .table-responsive .tablefield thead th {
    font-size: 0.875rem;
    line-height: 1.25rem;
  }
}
@media (max-width: 64rem) {
  .block-content--type-key-value-table .table-responsive .tablefield thead th {
    font-size: 0.75rem;
    line-height: 1.0625rem;
  }
}
.block-content--type-key-value-table .table-responsive .tablefield thead th:last-child {
  border-right: none;
}
.block-content--type-key-value-table .table-responsive .tablefield tbody tr:not(:has(td:not(:empty))) {
  display: none !important;
}
.block-content--type-key-value-table .table-responsive .tablefield tbody td {
  height: 70px;
  padding: 0 1rem;
  font-size: 1rem;
  line-height: 1.5rem;
  text-align: center;
  vertical-align: middle;
  border-bottom: 0.5px solid #E8E2DB;
  border-right: 0.5px solid #E8E2DB;
  color: #575757;
  box-shadow: none !important;
}
@media (max-width: 90rem) {
  .block-content--type-key-value-table .table-responsive .tablefield tbody td {
    font-size: 0.875rem;
    line-height: 1.25rem;
  }
}
@media (max-width: 64rem) {
  .block-content--type-key-value-table .table-responsive .tablefield tbody td {
    font-size: 0.75rem;
    line-height: 1.0625rem;
  }
}
.block-content--type-key-value-table .table-responsive .tablefield tbody td:last-child {
  border-right: none;
}
.block-content--type-key-value-table .table-responsive .tablefield tbody td:first-child {
  background: #FFFFFF !important;
}
.block-content--type-key-value-table .table-responsive .tablefield tbody td:last-child {
  background: #FBFAF9 !important;
}
.block-content--type-key-value-table .table-responsive .tablefield.table-hover tbody tr:hover td {
  background: #FBFAF9;
  --bs-table-hover-bg: unset !important;
}
